import {NextFunction, Request, Response} from "express";

export class ValidationError extends Error{};

export const handleError = (err: Error, reg: Request, res: Response, next: NextFunction) => {
    console.error(err);

    res
        .status(err instanceof ValidationError ? 400 : 500)  // 400 złe dane podał użytkownik, błąd walidacji, 500 wewnętrzny błąd serwera nie wiemy skąd pochodzi
        .json({
            message: err instanceof ValidationError ? err.message : 'Sorry, pleas try again leter.',
        });
};