"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const adrecord_1 = require("../records/adrecord");
const defaultObj = {
    name: 'Test name',
    description: 'blah',
    url: 'https://megak.pl',
    price: 0,
    lat: 9,
    lon: 9,
};
test('Nie mogę zbudować rekordu', () => {
    const ad = new adrecord_1.AdRecord(defaultObj);
    expect(ad.name).toBe('Test name');
    expect(ad.description).toBe('blah');
});
test('Sprawdzanie poprawności ceny', () => {
    expect(() => new adrecord_1.AdRecord(Object.assign(Object.assign({}, defaultObj), { price: -5 }))).toThrow("Cena nie może być mniejsza niż 0 lub większa niż 9 999 999");
});
//# sourceMappingURL=ad-record.test.js.map