import {AdRecord} from "../records/adrecord";

const defaultObj = {
        name: 'Test name',
        description: 'blah',
        url: 'https://megak.pl',
        price: 0,
        lat: 9,
        lon: 9,
    };

test('Nie mogę zbudować rekordu', () => {
    const ad = new AdRecord(defaultObj);

    expect(ad.name).toBe('Test name');
    expect(ad.description).toBe('blah');
});

test('Sprawdzanie poprawności ceny', () => {
     expect( () => new AdRecord({
             ...defaultObj,
             price: -5,
         })).toThrow("Cena nie może być mniejsza niż 0 lub większa niż 9 999 999")
});